- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_record_register_clients_request_t Struct Reference
[XCB Record API]

xcb_record_register_clients_request_t More...

`#include <record.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_record_context_t | context
xcb_record_element_header_t | element_header
uint8_t | pad0 [3]
uint32_t | num_client_specs
uint32_t | num_ranges

## Detailed Description

xcb_record_register_clients_request_t

## Field Documentation

uint8_t xcb_record_register_clients_request_t::major_opcode

uint8_t xcb_record_register_clients_request_t::minor_opcode

uint16_t xcb_record_register_clients_request_t::length

xcb_record_context_t xcb_record_register_clients_request_t::context

xcb_record_element_header_t xcb_record_register_clients_request_t::element_header

uint8_t xcb_record_register_clients_request_t::pad0[3]

uint32_t xcb_record_register_clients_request_t::num_client_specs

uint32_t xcb_record_register_clients_request_t::num_ranges

The documentation for this struct was generated from the following file:

- record.h